Subject: Re: [PATCH v2 6/7] Documentation: put blame/log -L in sticked form

From: Thomas Rast <[email-masked]>
Date: Wed, 30 Oct 2013 07:29:13 +0100

Junio C Hamano <[email-masked]> writes:

> Thomas Rast <[email-masked]> writes:
>
>> The next patch will document gitk -L, but gitk does not understand the
>> separated form ('gitk -L :foo:bar' results in an error).  Spell
>> git-blame and git-log -L, which are supposed to be "the same" option,
>> without the spaces to prevent confusion.
>
> I agree that this patch may reduce confusion locally, but if we were
> to go in this direction, we should be consistent and enforce "stuck"
> form everywhere, not just the options you happened to have passed
> thru to gitk, but other options such as "-S <revs-file>", and also
> other commands that do not have anything to do with gitk (e.g. "git
> commit -C<commit>", not "git commit -C <commit>".  Otherwise you
> will give a wrong impression to readers as if they have to remember
> which ones need to use the stuck form and which ones do not.

Hmm.  Do you want to go there?

(I can do it, but it'll obviously touch a lot of documentation.)

-- 
Thomas Rast
[email-masked]